Skip to content

Update an ad group

PATCH
/ad-groups/{id}
curl --request PATCH \
--url https://ads.wortise.com/api/public/v1/ad-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "audience": { "appFilter": [ "example" ], "device": { "battery": { "plugged": true }, "brand": [ "example" ], "language": [ "example" ], "model": [ "example" ], "os": [ "android", "ios" ], "osVersion": [ "example" ], "type": [ "mobile" ] }, "not": { "appFilter": [ "example" ], "device": { "battery": { "plugged": true }, "brand": [ "example" ], "language": [ "example" ], "model": [ "example" ], "os": [ "android", "ios" ], "osVersion": [ "example" ], "type": [ "mobile" ] }, "not": {}, "tag": { "audiences": [ { "id": "example", "label": "example" } ], "products": [ { "id": "example", "label": "example" } ], "topics": [ { "id": "example", "label": "example" } ] }, "app": { "category": [ { "id": "example", "label": "example" } ], "list": [ { "icon": "example", "id": "example", "label": "example", "platform": "android" } ] }, "appFilters": { "coppa": true, "maxInstalls": 1, "minInstalls": 1, "minScore": 1, "platform": [ "android" ] }, "cellular": { "carrier": [ { "country": "example", "countryCode": "example", "iso": "example", "mcc": "example", "mnc": "example", "network": "example" } ] }, "cpm": 1, "isPublic": true, "location": [ { "countryCode": "example", "displayName": "example", "lat": 1, "lng": 1, "placeId": "example", "source": "google_places", "type": "place", "types": [ "example" ] } ], "time": { "day": [ 1 ], "hour": [ { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "from": 1, "to": 1 } ] }, "traffic": { "age": { "additionalProperty": 1 }, "category": { "additionalProperty": 1 }, "country": { "additionalProperty": 1 }, "device": { "additionalProperty": 1 }, "gender": { "additionalProperty": 1 }, "size": { "additionalProperty": 1 } }, "user": { "gender": [ "female" ], "id": [ "example" ], "age": [ "-18" ], "interest": [ { "id": "example", "label": "example" } ] } }, "tag": { "audiences": [ { "id": "example", "label": "example" } ], "products": [ { "id": "example", "label": "example" } ], "topics": [ { "id": "example", "label": "example" } ] }, "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "app": { "category": [ { "id": "example", "label": "example" } ], "list": [ { "icon": "example", "id": "example", "label": "example", "platform": "android" } ] }, "appFilters": { "coppa": true, "maxInstalls": 1, "minInstalls": 1, "minScore": 1, "platform": [ "android" ] }, "cellular": { "carrier": [ { "country": "example", "countryCode": "example", "iso": "example", "mcc": "example", "mnc": "example", "network": "example" } ] }, "cpm": 1, "createdAt": "2026-04-15T12:00:00Z", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "deletedAt": "2026-04-15T12:00:00Z", "isDraft": true, "isPublic": true, "location": [ { "countryCode": "example", "displayName": "example", "lat": 1, "lng": 1, "placeId": "example", "source": "google_places", "type": "place", "types": [ "example" ] } ], "time": { "day": [ 1 ], "hour": [ { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "from": 1, "to": 1 } ] }, "traffic": { "age": { "additionalProperty": 1 }, "category": { "additionalProperty": 1 }, "country": { "additionalProperty": 1 }, "device": { "additionalProperty": 1 }, "gender": { "additionalProperty": 1 }, "size": { "additionalProperty": 1 } }, "updatedAt": "2026-04-15T12:00:00Z", "updatedBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "user": { "gender": [ "female" ], "id": [ "example" ], "age": [ "-18" ], "interest": [ { "id": "example", "label": "example" } ] } }, "budgetAllocation": 1, "frequencyCap": { "expiration": 1, "max": 1 }, "name": "example", "order": 1, "status": "enabled", "trackingTag": "https://example.com", "unitPrice": 1, "url": "https://example.com", "utm": { "campaign": "example", "id": "example", "medium": "example", "source": "example" } }'

Updates the sent fields of an ad group: its targeting, link, UTM, tracking tag, unit price, budget allocation, frequency cap, name, order or status. A new targeting, link, UTM or tracking tag is copied onto its creatives; a new unit price is held to the organization minimum once the campaign is launched; a new budget allocation or price recalculates the objective. The format is fixed by the creatives it holds.

Requires the campaigns:write scope.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Ad group UUID.

Media typeapplication/json
object
audience
object
appFilter
Array<string>
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
not

Only explicitly requested targeting exclusions.

object
appFilter
Array<string>
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
not
object recursive
tag
object
audiences
required
Array<object>
object
id
required
string
label
required
string
products
required
Array<object>
object
id
required
string
label
required
string
topics
required
Array<object>
object
id
required
string
label
required
string
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
appFilters
object
coppa
boolean
maxInstalls
number
minInstalls
number
minScore
number
<= 5
platform
Array<string>
Allowed values: android ios
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
cpm
number
> 0
isPublic
boolean
location

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
time
object
day
Array<number>
hour
Array<object>
object
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
traffic
object
age
object
key
additional properties
number
<= 1
category
object
key
additional properties
number
<= 1
country
object
key
additional properties
number
<= 1
device
object
key
additional properties
number
<= 1
gender
object
key
additional properties
number
<= 1
size
object
key
additional properties
number
<= 1
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
tag
object
audiences
required
Array<object>
object
id
required
string
label
required
string
products
required
Array<object>
object
id
required
string
label
required
string
topics
required
Array<object>
object
id
required
string
label
required
string
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
appFilters
object
coppa
boolean
maxInstalls
number
minInstalls
number
minScore
number
<= 5
platform
Array<string>
Allowed values: android ios
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
cpm
number
> 0
createdAt
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
createdBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
deletedAt
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
isDraft
boolean
default: true
isPublic
boolean
location
required

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
time
object
day
Array<number>
hour
Array<object>
object
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
traffic
object
age
object
key
additional properties
number
<= 1
category
object
key
additional properties
number
<= 1
country
object
key
additional properties
number
<= 1
device
object
key
additional properties
number
<= 1
gender
object
key
additional properties
number
<= 1
size
object
key
additional properties
number
<= 1
updatedAt
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
updatedBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
budgetAllocation

Slice of the campaign budget assigned to this ad group, in local currency

number
> 0
frequencyCap

Impressions per user (“max”) within a rolling window (“expiration”, in seconds)

object
expiration
required
number
max
required
number
> 0
name
string
order
integer
<= 9007199254740991
status
string
Allowed values: enabled disabled archived
trackingTag
string format: uri
unitPrice

Unit price in local currency (CPM/CPC) for creatives in this ad group

number
> 0
url

Destination URL (redirect)

string format: uri
utm
object
campaign
string
id
string
medium
string
source
string

The updated ad group.

Media typeapplication/json
object
_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
adFormat

Restricts every creative in this ad group to a single format

string
Allowed values: banner interstitial
audience
object
appFilter
Array<string>
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
not

Only explicitly requested targeting exclusions.

object
appFilter
Array<string>
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
not
object recursive
tag
object
audiences
required
Array<object>
object
id
required
string
label
required
string
products
required
Array<object>
object
id
required
string
label
required
string
topics
required
Array<object>
object
id
required
string
label
required
string
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
appFilters
object
coppa
boolean
maxInstalls
number
minInstalls
number
minScore
number
<= 5
platform
Array<string>
Allowed values: android ios
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
cpm
number
> 0
isPublic
boolean
location

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
time
object
day
Array<number>
hour
Array<object>
object
_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
traffic
object
age
object
key
additional properties
number
<= 1
category
object
key
additional properties
number
<= 1
country
object
key
additional properties
number
<= 1
device
object
key
additional properties
number
<= 1
gender
object
key
additional properties
number
<= 1
size
object
key
additional properties
number
<= 1
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
tag
object
audiences
required
Array<object>
object
id
required
string
label
required
string
products
required
Array<object>
object
id
required
string
label
required
string
topics
required
Array<object>
object
id
required
string
label
required
string
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
appFilters
object
coppa
boolean
maxInstalls
number
minInstalls
number
minScore
number
<= 5
platform
Array<string>
Allowed values: android ios
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
cpm
number
> 0
createdAt
Any of:
string format: date-time
createdBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
deletedAt
Any of:
string format: date-time
isDraft
boolean
default: true
isPublic
boolean
location
required

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
time
object
day
Array<number>
hour
Array<object>
object
_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
traffic
object
age
object
key
additional properties
number
<= 1
category
object
key
additional properties
number
<= 1
country
object
key
additional properties
number
<= 1
device
object
key
additional properties
number
<= 1
gender
object
key
additional properties
number
<= 1
size
object
key
additional properties
number
<= 1
updatedAt
Any of:
string format: date-time
updatedBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
budgetAllocation

Slice of the campaign budget assigned to this ad group, in local currency

number
> 0
campaign
required
Any of:

Ref to campaigns collection

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
createdAt
Any of:
string format: date-time
createdBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
deletedAt
Any of:
string format: date-time
frequencyCap

Impressions per user (“max”) within a rolling window (“expiration”, in seconds)

object
expiration
required
number
max
required
number
> 0
id

Ad group ID in ADS service

integer
> 0 <= 9007199254740991
name
string
objective

Impressions (CPM) or clicks (CPC) its budget allocation buys at its unit price

integer
<= 9007199254740991
order
integer
0 <= 9007199254740991
organization
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
status
string
default: enabled
Allowed values: enabled disabled archived
team
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
trackingTag
string format: uri
unitPrice

Unit price in local currency (CPM/CPC) for creatives in this ad group

number
> 0
updatedAt
Any of:
string format: date-time
updatedBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
url

Destination URL (redirect)

string format: uri
utm
object
campaign
string
id
string
medium
string
source
string

Example

{
"adFormat": "banner",
"audience": {
"device": {
"os": [
"android",
"ios"
],
"type": [
"mobile"
]
},
"not": {
"device": {
"os": [
"android",
"ios"
],
"type": [
"mobile"
]
},
"app": {
"list": [
{
"platform": "android"
}
]
},
"appFilters": {
"platform": [
"android"
]
},
"location": [
{
"source": "google_places",
"type": "place"
}
],
"user": {
"gender": [
"female"
],
"age": [
"-18"
]
}
},
"app": {
"list": [
{
"platform": "android"
}
]
},
"appFilters": {
"platform": [
"android"
]
},
"isDraft": true,
"location": [
{
"source": "google_places",
"type": "place"
}
],
"user": {
"gender": [
"female"
],
"age": [
"-18"
]
}
},
"campaign": {
"currency": "BRL"
},
"order": 0,
"status": "enabled"
}

The JSON body is malformed or fails the input validation.

Media typeapplication/json
Any of:
object
errors
required

Zod issues

Array<object>
object
code
required
string
Allowed values: custom invalid_element invalid_format invalid_key invalid_type invalid_union invalid_value not_multiple_of too_big too_small unrecognized_keys
message
required
string
path
required

Location of the invalid field in the procedure input

Array
key
additional properties
message
required
string
Allowed value: Validation Error

Example

{
"errors": [
{
"code": "custom"
}
],
"message": "Validation Error"
}

The API key is missing, invalid, disabled or expired.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key lacks the scope, or its owner lacks the dashboard permission.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The resource does not exist in the organization of the API key.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The request conflicts with the resource state.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key exceeded its rate limit; retry after the Retry-After seconds.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}
Retry-After
integer

Seconds to wait before retrying.

Unexpected server error.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}